<?php
/* Prøvd å logge inn? */
if(isset($_POST['logginn'])) {
    /* Kobler til database */
    require_once("inc/db.inc.php");
  
    /* Lager SQL-spørringen struktur */
    $sql = "SELECT ID, fnavn, enavn, passord 
            FROM medlemmer WHERE brukernavn = :brukernavn";
  
    /* Steg 1: forbereder spørringen */
    $sp = $pdo->prepare($sql);
  
    /* Steg 2: kobler parametrene våre med SQL-spørringens struktur */
    $sp->bindParam(':brukernavn', $brukernavn, PDO::PARAM_STR);
    $brukernavn = $_POST['brukernavn'];
  
    /* Steg 3: utfører spørringen og henter resultatet */
    try {
        $sp->execute();
    } catch (PDOException $e) {
        echo $e->getMessage() . "<br>";
    }
  
    /* Hent data om medlemmet */
    $medlem = $sp->fetch(PDO::FETCH_OBJ);
              
    /* Sjekker om passordet er gyldig */
    if(password_verify(vask($_POST['passord']), $medlem->passord)) {
        /* Passordene matcher: videresender brukeren til innsiden av systemet */
        header("Location: passordbeskyttet.php");
        exit();
    } else {
        echo "Brukernavn og/eller passord er ikke riktig";
    }
}
?>  