<?php
require_once("inc/db.inc.php");
require_once("lib/Medlem.lib.php");

$sql = "SELECT * FROM medlemmer WHERE fnavn = :fnavn";
$sp = $pdo->prepare($sql);
$sp->bindParam(":fnavn", $fnavn, PDO::PARAM_STR);
$fnavn = "Silje"; 

try {
    $sp->execute();
} catch (PDOException $e) {
    echo $e->getMessage() . "<br>";
}

$medlemmer = $sp->fetchAll(PDO::FETCH_OBJ);
if($sp->rowCount() > 0) {
    foreach($medlemmer as $medlem) {
        $rader[] = array($medlem->fnavn, $medlem->enavn, $medlem->epost);
    }
}

/* Opprett PDF-dokumentet 
   PDFTabell er en forlengelse av FPDF */
$pdf=new PDFTabell();

/* Kolonneoverskriftene */
$overskrift = array("Fornavn", "Etternavn", "E-post");

$pdf->setFont("Arial", "", 14);
$pdf->addPage();
$pdf->lagTabell($overskrift, $rader);
$pdf->output();
?>