<?php
require("fpdf/fpdf.php");

class PDFTabell extends FPDF {  
    function lagTabell($overskrift, $rader) {
        $this->setFillColor(255, 255, 0);
        $this->setTextColor(0);
        $this->setDrawColor(128, 128, 0);
        $this->setLineWidth(0.3);
        $this->setFont("", "B");
            
        $kolbredde = array(40, 40, 60); // hver kolonnes bredde
        /* Lage tabelloverskriftene i PDF-filen */
        for($i=0; $i < count($overskrift); $i++) {
            $this->cell($kolbredde[$i], 7, $overskrift[$i], 1, 0, "L", 1);
        }
        $this->ln();

        /* Endre til standardfont og -farger */
        $this->setFillColor(175);
        $this->setFont("");
            
        $fyll = 0; // brukes for å alternere bakgrunnsfargen til radene

        foreach($rader as $rad) {
            $this->cell($kolbredde[0], 6, $rad[0], "LR", 0, "L", $fyll);
            $this->cell($kolbredde[1], 6, $rad[1], "LR", 0, "L", $fyll);
            /* Endrer font og farger for å simulere hyperlenke */
            $this->setTextColor(0, 0, 255);
            $this->setFont("", "U");
            $mailto = "mailto: " . $rad[2];
            $this->cell($kolbredde[2], 6, $rad[2], "LR", 0, "L", $fyll, $mailto);
            /* endrer tilbake til standardfont og -farger */
            $this->setTextColor(0);
            $this->setFont("");
            $this->ln();
            $fyll = ($fyll) ? 0:1;
        }
        $this->cell(array_sum($kolbredde), 0, "", "T");
    }
}
?>