<?php
/* Fpdi navneområde (namespace) */
use setasign\Fpdi\Fpdi;

/* Inkluderer fpdf og fpdi */
require_once("../fpdf/fpdf.php");
require_once("../FPDI/src/autoload.php");

/* Oppretter et objekt av Fpdi-klassen */
$pdf = new Fpdi();

/* Lager ny PDF-side */
$pdf->AddPage();

/* Importerer PDF-fil som vi skal benytte som mal */
$pdf->setSourceFile("../kursbevis_mal.pdf");

/* Importerer første side av PDF-filen */
$fs = $pdf->importPage(1);

/* Bruker PDF-filen som mal */
$pdf->useTemplate($fs);

/* Setter font, fontstørrelse, tekstposisjon og skriver kursdeltakerens navn i filen */
$pdf->SetFont("Arial", "B", 13);
$pdf->ln(84.0);
$pdf->cell(0, 0, "Silje Johansen", 0, 0, "C");

/* Setter ny tekstposisjon og skriver kursnavnet i filen */
$pdf->SetFont("Arial", "B");
$pdf->ln(40.0);
$pdf->cell(0, 0, "PDF og PHP", 0, 0, "C");

/* Setter ny tekstposisjon og skriver kursnavnet i filen */
$pdf->SetFont("Arial", "B");
$pdf->ln(35.0);
$pdf->cell(0, 0, "Meget godt", 0, 0, "C");

/* Setter ny fontstørrelse, ny tekstposisjon og skriver sted samt dagens dato */
$pdf->SetFont("Arial", "I", 10.5);
$pdf->SetXY(24, 200);
$pdf->Write(3, "Kristiansand, " . date("d.m.Y"));
$pdf->SetXY(24, 210);
$pdf->Write(3, "Birgitte Pedersen");

/* Plasserer et bilde av kursholderen i PDF-filen */
$pdf->Image("../kursholder.jpg", 85, 200, 80, 0, "", "");

/* Lager PDF-fil og viser den i nettleseren */
$pdf->Output("I", "kursbevis.pdf");
?>